## org.mariadb.jdbc.internal.io.socket
Interface SharedMemorySocket.Advapi32

All Superinterfaces:
  com.sun.jna.AltCallingConvention, com.sun.jna.Library, com.sun.jna.win32.StdCall, com.sun.jna.win32.StdCallLibrary

Enclosing class:
  SharedMemorySocket

    public static interface SharedMemorySocket.Advapi32

extends com.sun.jna.win32.StdCallLibrary

Nested Class Summary
`static class` `SharedMemorySocket.Advapi32.SECURITY_ATTRIBUTES`

Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary
`com.sun.jna.win32.StdCallLibrary.StdCallCallback`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`com.sun.jna.Library.Handler`

Field Summary
`static SharedMemorySocket.Advapi32` `INSTANCE`

Fields inherited from interface com.sun.jna.win32.StdCallLibrary
`FUNCTION_MAPPER, STDCALL_CONVENTION`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Method Summary
`boolean` `ConvertStringSecurityDescriptorToSecurityDescriptor(String sddl, int sddlVersion, com.sun.jna.ptr.PointerByReference psd, com.sun.jna.ptr.IntByReference length)`

Field Detail

### INSTANCE

    static final SharedMemorySocket.Advapi32 INSTANCE

Method Detail

### ConvertStringSecurityDescriptorToSecurityDescriptor

    boolean ConvertStringSecurityDescriptorToSecurityDescriptor(String sddl,
                                                                int sddlVersion,
                                                                com.sun.jna.ptr.PointerByReference psd,
                                                                com.sun.jna.ptr.IntByReference length)

Copyright © 2017. All rights reserved.